Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366116 - [userinterface_public_657]When waking up idled service, associated resources should be scaled back up to their previous scale
Summary: [userinterface_public_657]When waking up idled service, associated resources ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Networking
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.x
Assignee: Solly Ross
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-11 05:49 UTC by Yadan Pei
Modified: 2016-09-19 13:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:54:54 UTC


Attachments (Terms of Use)
DisplayAfterIdled (deleted)
2016-08-11 05:50 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Origin (Github) 10421 None None None 2016-08-17 20:25:10 UTC

Description Yadan Pei 2016-08-11 05:49:52 UTC
Description of problem:
On web console, it will provide an option to wake up idled service, wake up option is shown "Start 1 pod" no matter what replicas the associated resources was

Version-Release number of selected component (if applicable):
openshift v3.3.0.18
kubernetes v1.3.0+507d3a7
etcd 2.3.0+git


How reproducible:
Always

Steps to Reproduce:
1. Create a replicationcontroller and service 
# oc create -f https://raw.githubusercontent.com/mdshuai/testfile-openshift/master/k8s/rc-and-svc-list.yaml
2. Check RC replicas before idling
# oc get rc
NAME        DESIRED   CURRENT   AGE
hello-pod   2         2         6s
3. Idle the service "hello-svc"
# oc idle hello-svc
4. Check Idled resources on web console

Actual results:
4. replication controller replicas is set to zero,and wake up option "Start 1 pod" is provided, clicking on "Start 1 pod" will only start 1 pod

Expected results:
4. When waking up idled service, associated resources should be scaled back up to their previous scale

Additional info:

Comment 1 Yadan Pei 2016-08-11 05:50:37 UTC
Created attachment 1189890 [details]
DisplayAfterIdled

Comment 2 Jessica Forrester 2016-08-12 19:27:33 UTC
We dont have the information we need on the DC / RC to know what to scale back to.  There is some debate as to what the right approach is but no matter what API changes are needed before the UI can do anything.  This can be assigned back to the mgmt console after the API changes are in.

Comment 3 Solly Ross 2016-08-15 18:31:33 UTC
PR posted: https://github.com/openshift/origin/pull/10421

Comment 4 Solly Ross 2016-08-15 18:31:55 UTC
(this adds information on the RC/DC giving the previous scale)

Comment 5 Yadan Pei 2016-08-18 06:28:26 UTC
Changed product to ORIGIN then we could verify changes earlier and found potential issues as early as possible

Comment 6 Yadan Pei 2016-08-22 02:22:29 UTC
Checked against devenv-rhel7_4888

openshift v1.3.0-alpha.3+7b3e38d
kubernetes v1.3.0+507d3a7
etcd 2.3.0+git

When idle deployments, on web console it will provide an option to wake up idled resources, DC/RC now could be scaled back to their previous replicas.

Move to VERIFIED


Note You need to log in before you can comment on or make changes to this bug.